aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/gnuplot/ChangeLog7
-rw-r--r--sci-visualization/gnuplot/Manifest12
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-app-defaults.patch55
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-gentoo-version.patch95
-rw-r--r--sci-visualization/gnuplot/gnuplot-4.4.0_rc1.ebuild199
5 files changed, 364 insertions, 4 deletions
diff --git a/sci-visualization/gnuplot/ChangeLog b/sci-visualization/gnuplot/ChangeLog
index e55f51c06..3fc8e66d3 100644
--- a/sci-visualization/gnuplot/ChangeLog
+++ b/sci-visualization/gnuplot/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*gnuplot-4.4.0_rc1 (13 Dec 2009)
+
+ 13 Dec 2009; Christoph Junghans <kleiner_otti@gmx.de>
+ +gnuplot-4.4.0_rc1.ebuild, +files/gnuplot-4.4.0_rc1-app-defaults.patch,
+ +files/gnuplot-4.4.0_rc1-gentoo-version.patch:
+ added version 4.4.0_rc1
+
28 Nov 2009; Christoph Junghans <kleiner_otti@gmx.de>
gnuplot-4.5.9999.ebuild, files/gnuplot-4.5.9999-gentoo-version.patch:
updated gentoo-version patch (bug #294467
diff --git a/sci-visualization/gnuplot/Manifest b/sci-visualization/gnuplot/Manifest
index a8b4718a9..51bdd1ebe 100644
--- a/sci-visualization/gnuplot/Manifest
+++ b/sci-visualization/gnuplot/Manifest
@@ -3,15 +3,19 @@ Hash: SHA1
AUX gnuplot-4.2.2-disable_texi_generation.patch 763 RMD160 99368c05fe2907f445a49b4d0be782f0384f319e SHA1 17723d5e5a12eef274b6f9216c9a9cbbe05cba1e SHA256 87a3bed1e3be244a511f1cbeb9852484da59decdae75635ae900fbafe5db02f6
AUX gnuplot-4.2.3-disable-texhash.patch 677 RMD160 b299c7425e735ebad6afa1e2d154190fb2f3fdf8 SHA1 6e5f25a0283b2dd887738d8caee7c92d1905b1cc SHA256 af25fded8998eb48ea0b89f9ce0d5322721088c2b69a360ec7928a7f6115873e
+AUX gnuplot-4.4.0_rc1-app-defaults.patch 2651 RMD160 508e5f69923b6f5cee913cdc5bac6c7cda677869 SHA1 cda875c86a4faae596f0b7f243e659c8c03ac4e8 SHA256 4e207e71cb4b5c882d06857dc4f0482982ff3b822aa18bd57ef4d83901a807fc
+AUX gnuplot-4.4.0_rc1-gentoo-version.patch 3629 RMD160 f312619d725c7e9d0ee4b13762347e01057f50ae SHA1 3b140354e61c5df8bbba560c75749fe4bcdbe876 SHA256 bbb2264ca41910300cba11f45d6b6c65f9bc20c41b7c4c84750524ed1dda65fd
AUX gnuplot-4.5.9999-app-defaults.patch 2239 RMD160 a0a8a2152d6b168c0e6188e53a332bc00617a4e4 SHA1 c16852541488e952e99944f260002458fe9cec23 SHA256 a32cb28122d90f817472f73cc24ba9f39a6407a00ed2e5ae7bd6a671dc56020c
AUX gnuplot-4.5.9999-gentoo-version.patch 2768 RMD160 509c8fbd2b25dfd23acb5dd197d9ccff953c8e62 SHA1 c49276d83c260273bf531aab6c53e095f5047a8e SHA256 4aae78fa9d322a7579ea9951cff39d2ed684ab2dd3d67c28032ad15ec076c411
+DIST gnuplot-4.4.0-rc1.tar.gz 3294054 RMD160 262cce576e6d64dd8a54edef0730f4576414456c SHA1 e9c2b99896a652a52d0160e8e2a6406ed861fda4 SHA256 d284ac5f75948e5a6716d26532adaf40e9ed8a205cbdeb75e76999dab07baf14
+EBUILD gnuplot-4.4.0_rc1.ebuild 5484 RMD160 06b258a0c11d63ba81f3273fa3787bc1b4ed8332 SHA1 cf4c99249701adb48d3455e9a6427c2ed6515186 SHA256 147d99169be0f81b5d4004d583182fad4cadb88be65ae12ff4868fbc4c785509
EBUILD gnuplot-4.5.9999.ebuild 5842 RMD160 56ab983f010783fb89fbbf41ff851ff7f6e8dff0 SHA1 5d5697ece0395338f2877e988b02ca5ea199d706 SHA256 03320fea08d200529657749ad54d6355c9986614935afc7217a6f5ca46941d9e
-MISC ChangeLog 773 RMD160 b3461c914b15ba39557286b2d75138d8f1c5d122 SHA1 01f5eacdc6e98b1c7f5b164afe0c363432432198 SHA256 87986fdf021c2350a3e51833de8c8b6a962d9029c0b486285950fc67865a8a07
+MISC ChangeLog 1013 RMD160 60320c4a2ea8f5aca591cfb00e40b0a040569fc7 SHA1 6286d3549cb4b6434769bcef656a599e13f9ec14 SHA256 5f1c91c71187f1fa90fad5dd34d4a49f1f990a5cad0752f2e63924ab1d06ac52
MISC metadata.xml 257 RMD160 f2ffbaee54f8534e419eea137c2a4da199b8b06c SHA1 502dbf5dd161bee261a494c5aedd6ee339090cc7 SHA256 f0ff74df1828056b76a2c69ee634fefe487987533698f6d4c2403f20f707b9c1
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.11 (GNU/Linux)
-iEYEARECAAYFAksRGnYACgkQy0OE/ans1/njrgCfRJhbO1cSBcLmFHqH5cKohnLa
-suYAn1rGh0x/D1FOmQP731MPiCpl6Wqq
-=+gxE
+iEYEARECAAYFAksk9U4ACgkQy0OE/ans1/lyOgCeNjvgqHETps7K9wnoWoHhJJJU
+gw0AniJbHx+8FLpH4ZY7CQbrVlA7ZOnS
+=giVE
-----END PGP SIGNATURE-----
diff --git a/sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-app-defaults.patch b/sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-app-defaults.patch
new file mode 100644
index 000000000..493411cf5
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-app-defaults.patch
@@ -0,0 +1,55 @@
+http://bugs.gentoo.org/219323
+Don't store resource files in deprecated location
+Reported upstream: http://sourceforge.net/tracker/index.php?func=detail&aid=1953742&group_id=2055&atid=102055
+
+diff -Naur gnuplot-4.4.0-rc1.orig/configure.in gnuplot-4.4.0-rc1/configure.in
+--- gnuplot-4.4.0-rc1.orig/configure.in 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/configure.in 2009-12-13 14:17:36.000000000 +0100
+@@ -1024,6 +1024,10 @@
+ fi
+ AC_SUBST(LISPDIR)
+
++dnl Location of application defaults
++AC_ARG_VAR(appdefaultdir,[Directory for application defaults])
++test -z "$appdefaultdir" && appdefaultdir='${sysconfdir}/X11/app-defaults'
++
+ dnl Substitute variables
+ AC_SUBST(PACKAGE)
+ AC_SUBST(VERSION_MAJOR)
+diff -Naur gnuplot-4.4.0-rc1.orig/share/Makefile.am gnuplot-4.4.0-rc1/share/Makefile.am
+--- gnuplot-4.4.0-rc1.orig/share/Makefile.am 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/share/Makefile.am 2009-12-13 14:17:36.000000000 +0100
+@@ -5,8 +5,6 @@
+
+ SUBDIRS = LaTeX
+
+-appdefaultdir = $(libdir)/X11/app-defaults
+-
+ APPDEFAULTFILES = Gnuplot
+
+ appdefault_DATA = $(APPDEFAULTFILES)
+diff -Naur gnuplot-4.4.0-rc1.orig/src/Makefile.am gnuplot-4.4.0-rc1/src/Makefile.am
+--- gnuplot-4.4.0-rc1.orig/src/Makefile.am 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/src/Makefile.am 2009-12-13 14:20:42.000000000 +0100
+@@ -31,7 +31,7 @@
+ transform = @program_transform_name@
+ GNUPLOT_X11 = `echo gnuplot_x11 | sed '$(transform)'`$(EXEEXT)
+
+-AM_CPPFLAGS = -I../term -I$(top_srcdir)/term -DBINDIR=\"$(bindir)\" -DX11_DRIVER_DIR=\"$(X11_DRIVER_DIR)\" -DGNUPLOT_PS_DIR=\"$(GNUPLOT_PS_DIR)\" -DGNUPLOT_JS_DIR=\"$(GNUPLOT_JS_DIR)\" -DCONTACT=\"$(EMAIL)\" -DHELPFILE=\"$(HELPFILE)\" -DGNUPLOT_X11=\"$(GNUPLOT_X11)\"
++AM_CPPFLAGS = -I../term -I$(top_srcdir)/term -DBINDIR=\"$(bindir)\" -DX11_DRIVER_DIR=\"$(X11_DRIVER_DIR)\" -DGNUPLOT_PS_DIR=\"$(GNUPLOT_PS_DIR)\" -DGNUPLOT_JS_DIR=\"$(GNUPLOT_JS_DIR)\" -DCONTACT=\"$(EMAIL)\" -DHELPFILE=\"$(HELPFILE)\" -DGNUPLOT_X11=\"$(GNUPLOT_X11)\" -DAppDefDir=\"$(appdefaultdir)\"
+
+ gnuplot_SOURCES = alloc.c alloc.h ansichek.h axis.c axis.h binary.c \
+ breaders.c breaders.h bitmap.c bitmap.h color.c color.h command.c \
+diff -Naur gnuplot-4.4.0-rc1.orig/src/gplt_x11.c gnuplot-4.4.0-rc1/src/gplt_x11.c
+--- gnuplot-4.4.0-rc1.orig/src/gplt_x11.c 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/src/gplt_x11.c 2009-12-13 14:17:36.000000000 +0100
+@@ -4852,7 +4852,9 @@
+ */
+ #define On(v) ( !strncasecmp(v, "on", 2) || !strncasecmp(v, "true", 4) )
+
++#ifndef AppDefDir
+ #define AppDefDir "/usr/lib/X11/app-defaults"
++#endif
+ #ifndef MAXHOSTNAMELEN
+ #define MAXHOSTNAMELEN 64
+ #endif
diff --git a/sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-gentoo-version.patch b/sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-gentoo-version.patch
new file mode 100644
index 000000000..3ae65637b
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-4.4.0_rc1-gentoo-version.patch
@@ -0,0 +1,95 @@
+Add special version identification and Gentoo contact information,
+in order to fulfil provisions 2 through 4 of the gnuplot licence.
+
+diff -Naur gnuplot-4.4.0-rc1.orig/docs/gnuplot.doc gnuplot-4.4.0-rc1/docs/gnuplot.doc
+--- gnuplot-4.4.0-rc1.orig/docs/gnuplot.doc 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/docs/gnuplot.doc 2009-12-13 14:31:57.000000000 +0100
+@@ -204,6 +204,8 @@
+
+ Bug reports and code contributions should be uploaded to the trackers at
+ http://sourceforge.net/projects/gnuplot/support
++ and
++ http://bugs.gentoo.org/
+ Please check previous bug reports if the bug you want to report has not been
+ already fixed in a newer version of gnuplot.
+
+diff -Naur gnuplot-4.4.0-rc1.orig/docs/gnuplot.texi gnuplot-4.4.0-rc1/docs/gnuplot.texi
+--- gnuplot-4.4.0-rc1.orig/docs/gnuplot.texi 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/docs/gnuplot.texi 2009-12-13 14:31:57.000000000 +0100
+@@ -319,6 +319,11 @@
+ @example
+ gnuplot --help
+ @end example
++and
++@example
++ http://bugs.gentoo.org/
++
++@end example
+
+ See `command line options` for more details.
+
+diff -Naur gnuplot-4.4.0-rc1.orig/src/plot.c gnuplot-4.4.0-rc1/src/plot.c
+--- gnuplot-4.4.0-rc1.orig/src/plot.c 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/src/plot.c 2009-12-13 14:34:38.000000000 +0100
+@@ -374,9 +374,11 @@
+ " -h, --help\n"
+ " -p --persist\n"
+ " -e \"command1; command2; ...\"\n"
+- "gnuplot %s patchlevel %s\n"
+- "Report bugs to %s\n",
+- gnuplot_version, gnuplot_patchlevel, bug_report);
++ "gnuplot %s patchlevel %s (Gentoo revision %s)\n"
++ "Report bugs to <%s>\n"
++ "or to <%s>\n",
++ gnuplot_version, gnuplot_patchlevel, gentoo_revision,
++ gentoo_bugtracker, bug_email);
+ return 0;
+
+ } else if (!strncmp(argv[i], "-persist", 2) || !strcmp(argv[i], "--persist")) {
+diff -Naur gnuplot-4.4.0-rc1.orig/src/show.c gnuplot-4.4.0-rc1/src/show.c
+--- gnuplot-4.4.0-rc1.orig/src/show.c 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/src/show.c 2009-12-13 14:31:57.000000000 +0100
+@@ -1017,7 +1017,7 @@
+ strcpy(fmt, "\
+ %s\n\
+ %s\t%s\n\
+-%s\tVersion %s patchlevel %s\n\
++%s\tVersion %s patchlevel %s (Gentoo revision %s)\n\
+ %s\tlast modified %s\n\
+ %s\tSystem: %s %s\n\
+ %s\n\
+@@ -1038,7 +1038,7 @@
+ fprintf(fp, fmt,
+ p, /* empty line */
+ p, PROGRAM,
+- p, gnuplot_version, gnuplot_patchlevel,
++ p, gnuplot_version, gnuplot_patchlevel, gentoo_revision,
+ p, gnuplot_date,
+ p, os_name, os_rel,
+ p, /* empty line */
+diff -Naur gnuplot-4.4.0-rc1.orig/src/version.c gnuplot-4.4.0-rc1/src/version.c
+--- gnuplot-4.4.0-rc1.orig/src/version.c 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/src/version.c 2009-12-13 14:31:57.000000000 +0100
+@@ -44,6 +44,9 @@
+ const char gnuplot_date[] = "Sat Nov 28 14:34:01 PST 2009";
+ const char gnuplot_copyright[] = "Copyright (C) 1986-1993, 1998, 2004, 2007-2009";
+
++const char gentoo_revision[] = GENTOO_REVISION;
++const char gentoo_bugtracker[] = "http://bugs.gentoo.org/";
++
+ char *compile_options = (void *)0; /* Will be loaded at runtime */
+
+ # ifndef FAQ_LOCATION
+diff -Naur gnuplot-4.4.0-rc1.orig/src/version.h gnuplot-4.4.0-rc1/src/version.h
+--- gnuplot-4.4.0-rc1.orig/src/version.h 2009-12-13 14:16:41.000000000 +0100
++++ gnuplot-4.4.0-rc1/src/version.h 2009-12-13 14:31:57.000000000 +0100
+@@ -48,6 +48,9 @@
+ extern const char bug_email[];
+ extern const char help_email[];
+
++extern const char gentoo_revision[];
++extern const char gentoo_bugtracker[];
++
+ extern char os_name[];
+ extern char os_rel[];
+
diff --git a/sci-visualization/gnuplot/gnuplot-4.4.0_rc1.ebuild b/sci-visualization/gnuplot/gnuplot-4.4.0_rc1.ebuild
new file mode 100644
index 000000000..caa964bc2
--- /dev/null
+++ b/sci-visualization/gnuplot/gnuplot-4.4.0_rc1.ebuild
@@ -0,0 +1,199 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+WX_GTK_VER="2.8"
+
+inherit autotools elisp-common eutils multilib wxwidgets
+
+MY_P="${P/_/-}"
+
+DESCRIPTION="Command-line driven interactive plotting program"
+HOMEPAGE="http://www.gnuplot.info/"
+SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
+
+LICENSE="gnuplot"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="cairo doc emacs gd ggi latex lua pdf plotutils readline svga wxwidgets X xemacs"
+RESTRICT="wxwidgets? ( test )"
+
+RDEPEND="
+ xemacs? ( app-editors/xemacs app-xemacs/texinfo app-xemacs/xemacs-base )
+ emacs? ( virtual/emacs !app-emacs/gnuplot-mode )
+ pdf? ( media-libs/pdflib )
+ lua? ( >=dev-lang/lua-5.1 )
+ ggi? ( media-libs/libggi )
+ gd? ( >=media-libs/gd-2[png] )
+ doc? ( dev-tex/picins
+ virtual/latex-base
+ virtual/ghostscript )
+ latex? ( virtual/latex-base
+ lua? ( dev-tex/pgf
+ >=dev-texlive/texlive-latexrecommended-2008-r2 ) )
+ X? ( x11-libs/libXaw )
+ svga? ( media-libs/svgalib )
+ readline? ( >=sys-libs/readline-4.2 )
+ plotutils? ( media-libs/plotutils )
+ wxwidgets? ( x11-libs/wxGTK:2.8
+ >=x11-libs/cairo-0.9
+ >=x11-libs/pango-1.10.3
+ >=x11-libs/gtk+-2.8 )
+ cairo? ( >=x11-libs/cairo-0.9
+ >=x11-libs/pango-1.10.3
+ >=x11-libs/gtk+-2.8 )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+E_SITEFILE="50${PN}-gentoo.el"
+TEXMF="/usr/share/texmf-site"
+
+pkg_setup() {
+ use wxwidgets && wxwidgets_pkg_setup
+}
+
+src_prepare() {
+ local i
+ epatch "${FILESDIR}"/${PN}-4.2.2-disable_texi_generation.patch #194216
+ epatch "${FILESDIR}"/${PF}-app-defaults.patch #219323
+ epatch "${FILESDIR}"/${PN}-4.2.3-disable-texhash.patch #201871
+ # Add Gentoo version identification since the licence requires it
+ epatch "${FILESDIR}"/${PF}-gentoo-version.patch
+
+ eautoreconf
+}
+
+src_configure() {
+ # See bug #156427, kpsexpand is part of texlive-core
+ if use latex ; then
+ sed -i -e "s:\`kpsexpand.*\`:${TEXMF}/tex/latex/${PN}:" \
+ share/LaTeX/Makefile.in || die "sed kpsexpand removed failed"
+ else
+ sed -i \
+ -e '/^SUBDIRS/ s/LaTeX//' share/Makefile.in || \
+ die "sed disable of LateX failed"
+ fi
+
+ local myconf="--with-gihdir=/usr/share/${PN}/gih --enable-thin-splines"
+
+ myconf="${myconf} $(use_with X x)"
+ myconf="${myconf} $(use_with svga linux-vga)"
+ myconf="${myconf} $(use_with gd)"
+ myconf="${myconf} $(use_enable wxwidgets)"
+ myconf="${myconf} $(use_with plotutils plot /usr/$(get_libdir))"
+ myconf="${myconf} $(use_with pdf pdf /usr/$(get_libdir))"
+ myconf="${myconf} $(use_with lua)"
+ myconf="${myconf} $(use_with doc tutorial)"
+
+ use ggi \
+ && myconf="${myconf} --with-ggi=/usr/$(get_libdir)
+ --with-xmi=/usr/$(get_libdir)" \
+ || myconf="${myconf} --without-ggi"
+
+ use readline \
+ && myconf="${myconf} --with-readline=gnu --enable-history-file" \
+ || myconf="${myconf} --with-readline=builtin"
+
+ myconf="${myconf} --without-lisp-files"
+
+ TEMACS=no
+ use xemacs && TEMACS=xemacs
+ use emacs && TEMACS=emacs
+
+ CFLAGS="${CFLAGS} -DGENTOO_REVISION=\\\"${PR}\\\"" \
+ EMACS=${TEMACS} \
+ econf ${myconf} || die "econf failed"
+}
+
+src_compile() {
+ # Prevent access violations, see bug 201871
+ VARTEXFONTS="${T}/fonts"
+
+ # This is a hack to avoid sandbox violations when using the Linux console.
+ # Creating the DVI and PDF tutorials require /dev/svga to build the
+ # example plots.
+ addwrite /dev/svga:/dev/mouse:/dev/tts/0
+
+ emake || die "emake failed"
+
+ if use doc ; then
+ cd docs
+ emake pdf || die "emake pdf failed"
+ cd ../tutorial
+ emake pdf || die "emake pdf tutorial failed"
+ fi
+}
+
+src_install () {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if use emacs; then
+ cd lisp
+ einfo "Configuring gnuplot-mode for GNU Emacs..."
+ EMACS="emacs" econf --with-lispdir="${SITELISP}/${PN}" || \
+ die "econf emacs failed"
+ emake DESTDIR="${D}" install || die "lisp install for emacs failed"
+ emake clean
+ cd ..
+
+ # Gentoo emacs site-lisp configuration
+ echo -e "\n;;; ${PN} site-lisp configuration\n" > ${E_SITEFILE}
+ echo -e "(add-to-list 'load-path \"@SITELISP@\")\n" >> ${E_SITEFILE}
+ sed '/^;; move/,+3 d' lisp/dotemacs >> ${E_SITEFILE}
+ elisp-site-file-install ${E_SITEFILE}
+ fi
+
+ if use xemacs; then
+ cd lisp
+ einfo "Configuring gnuplot-mode for XEmacs..."
+ EMACS="xemacs" \
+ econf --with-lispdir="/usr/lib/xemacs/site-packages/${PN}" || \
+ die "econf xemacs failed"
+ emake DESTDIR="${D}" install || die "lisp install for xemacs failed"
+ cd ..
+ fi
+
+ dodoc BUGS ChangeLog NEWS PATCHLEVEL PGPKEYS PORTING README* \
+ TODO VERSION
+ use lua && newdoc term/lua/README README-lua
+
+ if use doc; then
+ # Demo files
+ insinto /usr/share/${PN}/demo
+ doins demo/*
+ # Manual
+ insinto /usr/share/doc/${PF}/manual
+ doins docs/gnuplot.pdf
+ # Tutorial
+ insinto /usr/share/doc/${PF}/tutorial
+ doins tutorial/{tutorial.dvi,tutorial.pdf}
+ # Documentation for making PostScript files
+ insinto /usr/share/doc/${PF}/psdoc
+ doins docs/psdoc/{*.doc,*.tex,*.ps,*.gpi,README}
+ fi
+
+ if ! use X; then
+ # see bug 194527
+ rm -rf "${D}/usr/$(get_libdir)/X11"
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+ use latex && texmf-update
+
+ if use svga ; then
+ einfo "In order to enable ordinary users to use SVGA console graphics"
+ einfo "gnuplot needs to be set up as setuid root. Please note that"
+ einfo "this is usually considered to be a security hazard."
+ einfo "As root, manually \"chmod u+s /usr/bin/gnuplot\"."
+ fi
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+ use latex && texmf-update
+}